{% extends "base.html" %}
{% block content %}
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header card-header-info">
                    <h4 class="card-title"><b>Alterar meus dados</b></h4>
                    <p class="card-title"><b>Todos os campos que possuem (*) são requeridos para o cadastro</b></p>
                </div>
                <div class="card-body">
                    <form action="{{ url_for('user_controller.update', _id=user._id) }}" method="post"
                          enctype="multipart/form-data">
                        <div class="row">
                            <div class="col-md-4">
                                <div class="form-group">
                                    <div class="btn btn-info">
                                        <label for="input-file" class="button" style="color: white">
                                            <i class="material-icons">camera_alt</i>
                                            Sua Foto
                                        </label>
                                        <input type="file" id="input-file" name="file" value=""/>
                                        <input type="hidden" name="_id" value="{{ user._id }}"/>
                                        <input type="hidden" name="avatar" value="{{ user.avatar }}"/>
                                        <span id='file-name'></span>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="card-avatar" style="text-align: center">
                                    <img class="img responsive-img avatar"
                                         src="{{ user.avatar if user.avatar else url_for('static', filename="images/image_not_found.png") }}">
                                    <p class="card-title">Sua imagem atual</p>
                                </div>
                            </div>
                        </div>
                        <div class="row" style="margin-top: 20px">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="bmd-label-floating">Nome *</label>
                                    <input type="text" required="required" name="name" value="{{ user.name }}"
                                           class="form-control">
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="bmd-label-floating">Email *</label>
                                    <input type="email" required="required" name="email" value="{{ user.email }}"
                                           class="form-control">
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="bmd-label-floating">Telefone fixo</label>
                                    <input type="text" name="phone" value="{{ user.phone }}" class="form-control">
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="bmd-label-floating">Celular</label>
                                    <input type="text" value="{{ user.cell_phone }}" name="cell_phone"
                                           class="form-control">
                                </div>
                            </div>
                        </div>
                        <button type="submit" class="btn btn-info pull-right">Alterar</button>
                        <div class="clearfix"></div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <script>
        var $input = document.getElementById('input-file'),
            $fileName = document.getElementById('file-name');

        $input.addEventListener('change', function () {
            $fileName.textContent = this.value;
        });

        $('.date').blur(function () {
            if (this.value.trim() != '') {
                let val = this.value.split('/');
                let date = new Date(val[2], val[1], val[0]);
                let today = new Date();
                if (date > today) {
                    demo.showNotification('top', 'right', 'A data que foi informada está acima da data de hoje', 2);
                    this.value = "";
                }
            }
        });
    </script>
{% endblock %}